﻿#language: ru

@drivers_of_electric_car

Функционал: 04_drivers.02.003 Выдача задания карщикам

Сценарий: 04_drivers.02.003 Задание на перемещение контейнера с одной партией
	Дано Я переключаюсь на открытый клиент "Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место начальника склада'
	Тогда открылось окно 'Рабочее место начальника склада'
	И я перехожу к закладке "Настройки"
	И я нажимаю кнопку выбора у поля с именем "СписокСклады"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 4' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место начальника склада'
	И в таблице "ТаблицаОстаткиБезТары" я перехожу к строке:
		| 'Кг'  | 'Номенклатура'                                  | 'Склад'               | 'Шт' |
		| '200' | 'Российский 50% / На созревании / 11.11.2018/1' | 'Камера созревания 1' | '50' |
	И я нажимаю на кнопку 'Переместить'
	Тогда открылось окно 'Переместить: Контейнер *'
	И я нажимаю кнопку выбора у поля "Склад получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 4' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переместить: Контейнер *'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место начальника склада'
	И в таблице "ТаблицаОстаткиБезТары" я перехожу к строке по шаблону:
		| 'Задание на перемещение'   | 'Кг'  | 'Номенклатура'                                  | 'Склад'               | 'Шт' |
		| '* ➜ Камера созревания 4' | '200' | 'Российский 50% / На созревании / 11.11.2018/1' | 'Камера созревания 1' | '50' |
	И Я закрываю окно 'Рабочее место начальника склада'

Сценарий: 04_drivers.02.003 Задание на перемещение контейнера с двумя партиями
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место начальника склада'
	Тогда открылось окно 'Рабочее место начальника склада'
	И в таблице "ТаблицаОстаткиБезТары" я перехожу к строке:
		| 'Кг'  | 'Номенклатура'                                  | 'Склад'               | 'Шт' |
		| '200' | 'Российский 50% / На созревании / 11.11.2018/2' | 'Камера созревания 1' | '50' |
	И я нажимаю на кнопку 'Переместить'
	Тогда открылось окно 'Переместить: Контейнер *'
	И я нажимаю кнопку выбора у поля "Склад получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 4' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переместить: Контейнер *'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место начальника склада'
	И в таблице "ТаблицаОстаткиБезТары" я перехожу к строке по шаблону:
		| 'Задание на перемещение'  | 'Кг'  | 'Номенклатура'                                 | 'Склад'               | 'Шт' |
		| '* ➜ Камера созревания 4' | '200' | 'Сливочный 45% / На созревании / 11.12.2018/2' | 'Камера созревания 1' | '50' |
	И в таблице "ТаблицаОстаткиБезТары" я перехожу к строке по шаблону:
		| 'Задание на перемещение'  | 'Кг'  | 'Номенклатура'                                  | 'Склад'               | 'Шт' |
		| '* ➜ Камера созревания 4' | '200' | 'Российский 50% / На созревании / 11.11.2018/2' | 'Камера созревания 1' | '50' |
	И Я закрываю окно 'Рабочее место начальника склада'

Сценарий: 04_drivers.02.003 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT